Subject: Re: bug#58608: 29.0.50; Nasty bug with pasting primary selection in term buffers

From: Phil Sainty <[email-masked]>
Date: Mon, 27 Mar 2023 01:45:19 +1300

On 2023-03-16 20:17, Eli Zaretskii wrote:
> I think we should install on emacs-29 a change that binds
> select-active-regions to nil around the call to term-send-raw-string,
> and install on master a change that removes the setting of
> this-command.

I've installed those changes to emacs-29 and master accordingly.

The question of why this command sets point in the first place is
still outstanding, but I think we'd need a follow-up from Richard
to establish the reason behind that.

In any case, the major issue is now resolved for Emacs 29+.  I'd
happily fix it in the emacs-28 branch as well, on the offchance
that doing so might help someone (as this issue can be harmful if
you're unlucky enough to trigger it); but if that's a no-go then
I think this can be closed.

-Phil